#include <iostream>
#include <iostream>
using namespace std;

class ARR {
private:
    int n;          // 数组实际元素个数
    int a[100];     // 存放数组元素
    int max, maxindex;  // 存放整型数组元素中的最大值及最大值的序号

public:
    // 构造函数，用参数size初始化n，用x数组初始化a数组
    ARR(int x[], int size) : n(size) {
        for (int i = 0; i < n; ++i)
            a[i] = x[i];
    }

    // 求整型数组元素中的最大值及最大值的序号
    void FindMax() {
        max = a[0];
        maxindex = 1;

        for (int i = 1; i < n; ++i) {
            if (a[i] > max) {
                max = a[i];
                maxindex = i + 1;
            }
        }
    }

    // 将数组元素以每行5个数的形式输出到屏幕上，同时输出数组中元素的最大值及最大值的序号
    void Show() {
        int count = 0;  // 记录当前已输出的元素个数

        for (int i = 0; i < n; ++i) {
            cout << a[i] << "\t";
            ++count;

            if (count == 5) {
                cout << endl;
                count = 0;
            }
        }

        cout << endl;
        cout << "max=" << max << "\t" << "maxindex=" << maxindex << endl;
    }
};


int main()
{	int b[ ]={3,4,6,8,10,34,2};
	ARR  arr(b,sizeof(b)/sizeof(int));
	arr.FindMax();
	arr.Show();
	return 0;
} 

